#1876 closed defect (fixed)

Add SMP ISR support

Reported by: Jennifer Averett Owned by: Joel Sherrill
Priority: normal Milestone: 4.11
Component: score Version: 4.11
Severity: normal Keywords:
Cc: sebastian.huber@…, gedare@…, marta.rybczynska@… Blocked By:
Blocking:

Description

This is a rather large patch that adds isr smp support.

Attachments (2)

jla-isr-smp.diff (25.1 KB) - added by Jennifer Averett on Aug 2, 2011 at 1:24:29 PM.
Add smp isr support
isr-patch.diff (24.1 KB) - added by Jennifer Averett on Aug 3, 2011 at 4:40:07 PM.
patch to add smp support to isr

Download all attachments as: .zip

Change History (9)

Changed on Aug 2, 2011 at 1:24:29 PM by Jennifer Averett

Attachment: jla-isr-smp.diff added

Add smp isr support

comment:1 Changed on Aug 2, 2011 at 6:50:03 PM by Gedare Bloom

Cc: giddyup44@… added

Changed on Aug 3, 2011 at 4:40:07 PM by Jennifer Averett

Attachment: isr-patch.diff added

patch to add smp support to isr

comment:2 Changed on Aug 3, 2011 at 4:40:07 PM by Jennifer Averett

attachments.isobsolete: 01

comment:3 Changed on Aug 9, 2011 at 6:57:24 PM by Marta Rybczynska

Cc: Marta Rybczynska added

comment:4 Changed on Aug 22, 2011 at 5:28:55 PM by Jennifer Averett

Resolution: fixed
Status: newclosed

comment:5 Changed on Aug 23, 2011 at 6:39:31 AM by Sebastian Huber

Cc: Sebastian Huber added

comment:6 Changed on Aug 23, 2011 at 6:19:33 PM by Marta Rybczynska

Sebastian, you're right. ISR_Enable/Disable has also a lock functionality. It is also true that we address this in our upcoming patch. However, the removal of the BKL will take some time (we've already done some work). You can already see the approach we took in the PR we created some time ago https://www.rtems.org/PR1809

Joel, the patch is really big. I'm trying to remove the non-essential things.

comment:7 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

Note: See TracTickets for help on using tickets.